<?php
include_once(getabspath("include/transaccion_settings.php"));

function DisplayMasterTableInfo_transaccion($params)
{
	$detailtable = $params["detailtable"];
	$keys = $params["keys"];
	$detailPageObj = $params["detailPageObj"];
	global $conn,$strTableName;
	$xt = new Xtempl();
	$oldTableName = $strTableName;
	$strTableName = "transaccion";
	
	$settings = new ProjectSettings($strTableName, PAGE_LIST);
	$cipherer = new RunnerCipherer($strTableName);
	
	$masterQuery = $settings->getSQLQuery();
	
	$viewControls = new ViewControlsContainer($settings, PAGE_LIST);

$where = "";
$mKeys = array();
$showKeys = "";

global $page_styles, $page_layouts, $page_layout_names, $container_styles;

$layout = new TLayout("masterlist","BoldAqua","MobileAqua");
$layout->blocks["bare"] = array();
$layout->containers["0"] = array();

$layout->containers["0"][] = array("name"=>"masterlistheader","block"=>"","substyle"=>1);


$layout->skins["0"] = "empty";
$layout->blocks["bare"][] = "0";
$layout->containers["mastergrid"] = array();

$layout->containers["mastergrid"][] = array("name"=>"masterlistfields","block"=>"","substyle"=>1);


$layout->skins["mastergrid"] = "grid";
$layout->blocks["bare"][] = "mastergrid";$page_layouts["transaccion_masterlist"] = $layout;


if($detailtable == "cobro")
{
		$where.= GetFullFieldName("idtransaccion", "", false)."=".$cipherer->MakeDBValue("idtransaccion",$keys[1-1], "", "", true);
	$showKeys .= " "."ID".": ".$keys[1-1];
	$xt->assign('showKeys',$showKeys);
}
	if(!$where)
	{
		$strTableName = $oldTableName;
		return;
	}
	$str = SecuritySQL("Search");
	if(strlen($str))
		$where.= " and ".$str;

	$strWhere = whereAdd($masterQuery->WhereToSql(),$where);
	if(strlen($strWhere))
		$strWhere = " where ".$strWhere." ";
	$strSQL = $masterQuery->HeadToSql().' '.$masterQuery->FromToSql().$strWhere.$masterQuery->TailToSql();

//	$strSQL = AddWhere($strSQL,$where);
	LogInfo($strSQL);
	$rs = db_query($strSQL,$conn);
	$data = $cipherer->DecryptFetchedArray($rs);
	if(!$data)
	{
		$strTableName = $oldTableName;
		return;
	}
	$keylink = "";
	$keylink.="&key1=".htmlspecialchars(rawurlencode(@$data["idtransaccion"]));
	

//	idtransaccion - 
			$value="";

					$xt->assign("idtransaccion_mastervalue", $viewControls->showDBValue("idtransaccion", $data, $keylink));

//	tipo - 
			$value="";

					$xt->assign("tipo_mastervalue", $viewControls->showDBValue("tipo", $data, $keylink));

//	fecha - Short Date
			$value="";

					$xt->assign("fecha_mastervalue", $viewControls->showDBValue("fecha", $data, $keylink));

//	cliente - 
			$value="";

					$xt->assign("cliente_mastervalue", $viewControls->showDBValue("cliente", $data, $keylink));

//	idarticulo - 
			$value="";

					$xt->assign("idarticulo_mastervalue", $viewControls->showDBValue("idarticulo", $data, $keylink));

//	costo - Number
			$value="";

					$xt->assign("costo_mastervalue", $viewControls->showDBValue("costo", $data, $keylink));

//	precio - Number
			$value="";

					$xt->assign("precio_mastervalue", $viewControls->showDBValue("precio", $data, $keylink));

//	cant - Number
			$value="";

					$xt->assign("cant_mastervalue", $viewControls->showDBValue("cant", $data, $keylink));

//	total - Number
			$value="";

					$xt->assign("total_mastervalue", $viewControls->showDBValue("total", $data, $keylink));

//	importe - Number
			$value="";

					$xt->assign("importe_mastervalue", $viewControls->showDBValue("importe", $data, $keylink));

//	descuento - Number
			$value="";

					$xt->assign("descuento_mastervalue", $viewControls->showDBValue("descuento", $data, $keylink));

//	observacion - 
			$value="";

					$xt->assign("observacion_mastervalue", $viewControls->showDBValue("observacion", $data, $keylink));

//	cobrado - 
			$value="";

					$xt->assign("cobrado_mastervalue", $viewControls->showDBValue("cobrado", $data, $keylink));

//	anulado - 
			$value="";

					$xt->assign("anulado_mastervalue", $viewControls->showDBValue("anulado", $data, $keylink));

//	ganancia - Number
			$value="";

					$xt->assign("ganancia_mastervalue", $viewControls->showDBValue("ganancia", $data, $keylink));

	$viewControls->addControlsJSAndCSS();
	$detailPageObj->viewControlsMap['mViewControlsMap'] = $viewControls->viewControlsMap;

	$layout = GetPageLayout("transaccion", 'masterlist');
	if($layout)
		$xt->assign("pageattrs", 'class="'.$layout->style." page-".$layout->name.'"');
	
	$xt->display("transaccion_masterlist.htm");
	
	$strTableName=$oldTableName;
}

?>